package com.unissoft.config;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.security.authentication.AuthenticationManager;
import org.springframework.security.config.annotation.method.configuration.EnableGlobalMethodSecurity;
import org.springframework.security.config.annotation.web.builders.HttpSecurity;
import org.springframework.security.config.annotation.web.configuration.EnableWebSecurity;
import org.springframework.security.config.annotation.web.configuration.WebSecurityConfigurerAdapter;

/**
 * TODO web安全配置
 * ResourceServerConfig比WebSecurityConfig 的优先级低的
 **/
@Configuration
@EnableWebSecurity
@EnableGlobalMethodSecurity(prePostEnabled = true)
public class WebSecurityConfig extends WebSecurityConfigurerAdapter {

    @Override
    protected void configure(HttpSecurity http) throws Exception {
//        http.csrf();//防csrf攻击
        http.csrf().disable();//防csrf攻击 禁用
        http.authorizeRequests()
                .antMatchers("/actuator/**").permitAll()//不对springboot-admin监控的请求进行权限校验
                .antMatchers("/instances/**").permitAll()//不对springboot-admin监控的实例信息请求进行权限校验
                .antMatchers("/oauth/**").permitAll();
    }

    /**
     * 需要配置这个支持password模式 support password grant type
     *
     * @return
     * @throws Exception
     */
    @Override
    @Bean
    public AuthenticationManager authenticationManagerBean() throws Exception {
        return super.authenticationManagerBean();
    }

}

