package com.unissoft.model;



import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 用户表
 * </p>
 *
 * @author wsm
 * @since 2020-11-25
 */
@TableName("sys_user")
public class SysUser implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "u_id", type = IdType.AUTO)
    private Integer uId;
    /**
     * 用户名
     */
    @TableField("u_name")
    private String uName;
    /**
     * 昵称
     */
    @TableField("u_nickname")
    private String uNickname;
    /**
     * 密码
     */
    @TableField("u_password")
    private String uPassword;
    /**
     * 头像
     */
    @TableField("u_photo")
    private String uPhoto;
    /**
     * 性别(0女,1男)
     */
    @TableField("u_sex")
    private Integer uSex;
    /**
     * 生日
     */
    @TableField("u_birthday")
    private Date uBirthday;
    /**
     * 手机号
     */
    @TableField("u_phone")
    private String uPhone;
    /**
     * 邮箱
     */
    @TableField("u_mail")
    private String uMail;
    /**
     * 地址
     */
    @TableField("u_address")
    private String uAddress;
    /**
     * 个人说明
     */
    @TableField("u_explain")
    private String uExplain;
    /**
     * 用户来源
     */
    @TableField("u_user_source")
    private Integer uUserSource;
    /**
     * 用户状态（1：正常，2：异常，3：禁用）
     */
    @TableField("u_status")
    private Integer uStatus;
    /**
     * 创建人
     */
    @TableField("u_create_by")
    private String uCreateBy;
    /**
     * 创建时间
     */
    @TableField("u_create_time")
    private Date uCreateTime;
    /**
     * 更新人
     */
    @TableField("u_update_by")
    private String uUpdateBy;
    /**
     * 更新时间
     */
    @TableField("u_update_time")
    private Date uUpdateTime;
    /**
     * 备注
     */
    @TableField("u_remark")
    private String uRemark;


    public Integer getuId() {
        return uId;
    }

    public void setuId(Integer uId) {
        this.uId = uId;
    }

    public String getuName() {
        return uName;
    }

    public void setuName(String uName) {
        this.uName = uName;
    }

    public String getuNickname() {
        return uNickname;
    }

    public void setuNickname(String uNickname) {
        this.uNickname = uNickname;
    }

    public String getuPassword() {
        return uPassword;
    }

    public void setuPassword(String uPassword) {
        this.uPassword = uPassword;
    }

    public String getuPhoto() {
        return uPhoto;
    }

    public void setuPhoto(String uPhoto) {
        this.uPhoto = uPhoto;
    }

    public Integer getuSex() {
        return uSex;
    }

    public void setuSex(Integer uSex) {
        this.uSex = uSex;
    }

    public Date getuBirthday() {
        return uBirthday;
    }

    public void setuBirthday(Date uBirthday) {
        this.uBirthday = uBirthday;
    }

    public String getuPhone() {
        return uPhone;
    }

    public void setuPhone(String uPhone) {
        this.uPhone = uPhone;
    }

    public String getuMail() {
        return uMail;
    }

    public void setuMail(String uMail) {
        this.uMail = uMail;
    }

    public String getuAddress() {
        return uAddress;
    }

    public void setuAddress(String uAddress) {
        this.uAddress = uAddress;
    }

    public String getuExplain() {
        return uExplain;
    }

    public void setuExplain(String uExplain) {
        this.uExplain = uExplain;
    }

    public Integer getuUserSource() {
        return uUserSource;
    }

    public void setuUserSource(Integer uUserSource) {
        this.uUserSource = uUserSource;
    }

    public Integer getuStatus() {
        return uStatus;
    }

    public void setuStatus(Integer uStatus) {
        this.uStatus = uStatus;
    }

    public String getuCreateBy() {
        return uCreateBy;
    }

    public void setuCreateBy(String uCreateBy) {
        this.uCreateBy = uCreateBy;
    }

    public Date getuCreateTime() {
        return uCreateTime;
    }

    public void setuCreateTime(Date uCreateTime) {
        this.uCreateTime = uCreateTime;
    }

    public String getuUpdateBy() {
        return uUpdateBy;
    }

    public void setuUpdateBy(String uUpdateBy) {
        this.uUpdateBy = uUpdateBy;
    }

    public Date getuUpdateTime() {
        return uUpdateTime;
    }

    public void setuUpdateTime(Date uUpdateTime) {
        this.uUpdateTime = uUpdateTime;
    }

    public String getuRemark() {
        return uRemark;
    }

    public void setuRemark(String uRemark) {
        this.uRemark = uRemark;
    }

    @Override
    public String toString() {
        return "SysUser{" +
        ", uId=" + uId +
        ", uName=" + uName +
        ", uNickname=" + uNickname +
        ", uPassword=" + uPassword +
        ", uPhoto=" + uPhoto +
        ", uSex=" + uSex +
        ", uBirthday=" + uBirthday +
        ", uPhone=" + uPhone +
        ", uMail=" + uMail +
        ", uAddress=" + uAddress +
        ", uExplain=" + uExplain +
        ", uUserSource=" + uUserSource +
        ", uStatus=" + uStatus +
        ", uCreateBy=" + uCreateBy +
        ", uCreateTime=" + uCreateTime +
        ", uUpdateBy=" + uUpdateBy +
        ", uUpdateTime=" + uUpdateTime +
        ", uRemark=" + uRemark +
        "}";
    }
}
